Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.kernel
Class KernelMessage

    java.lang.Object
      madkit.kernel.Message
          madkit.kernel.KernelMessage

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, PrivateMessage

    public final class KernelMessage

extends Message
implements PrivateMessage

This message class is used for communication between the KernelAgent and system agents to get information about the current state of the platform, subscribe to common hooks, ... Any platform service beside group/role management and local messaging and lifecycle is handled by agents, thus an extension mechanism is needed. That is what the KernelAgent (role "kernel" in group "system") and the hooks mechanism is for.

Author:
  Olivier Gutknecht, Fabien Michel revized for MadKit III 05/09/01 (communication)
See Also:
  Serialized Form

Field Summary
`static int` | `INVALID_HOOK_REQUEST`
`static int` | `INVALID_INVOCATION`
`static int` | `INVOKE`
`static int` | `MONITOR_HOOK`
`static int` | `NO_REQUEST`
`static int` | `REMOVE_MONITOR_HOOK`
`static int` | `REPLY`
`static int` | `REQUEST_MONITOR_HOOK`

Constructor Summary
`KernelMessage(int t, int o)`
`KernelMessage(int t, int o, java.lang.Object a)`
`KernelMessage(int t, int o, java.lang.Object a, java.lang.Object s)`

Method Summary
`java.lang.Object` | `getArgument()`
`int` | `getOperation()`
`java.lang.Object` | `getSubject()`
`int` | `getType()`
`java.lang.String` | `toString()` Returns a debug string with envelope and content for the message

Methods inherited from class madkit.kernel.Message
`clone, getCreationDate, getReceiver, getSender`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_REQUEST

    public static final int NO_REQUEST

See Also:
  Constant Field Values

### INVALID_HOOK_REQUEST

    public static final int INVALID_HOOK_REQUEST

See Also:
  Constant Field Values

### INVALID_INVOCATION

    public static final int INVALID_INVOCATION

See Also:
  Constant Field Values

### REPLY

    public static final int REPLY

See Also:
  Constant Field Values

### INVOKE

    public static final int INVOKE

See Also:
  Constant Field Values

### MONITOR_HOOK

    public static final int MONITOR_HOOK

See Also:
  Constant Field Values

### REQUEST_MONITOR_HOOK

    public static final int REQUEST_MONITOR_HOOK

See Also:
  Constant Field Values

### REMOVE_MONITOR_HOOK

    public static final int REMOVE_MONITOR_HOOK

See Also:
  Constant Field Values

Constructor Detail

### KernelMessage

    public KernelMessage(int t,
                         int o,
                         java.lang.Object a,
                         java.lang.Object s)

### KernelMessage

    public KernelMessage(int t,
                         int o,
                         java.lang.Object a)

### KernelMessage

    public KernelMessage(int t,
                         int o)

Method Detail

### getType

    public int getType()

### getOperation

    public int getOperation()

### getArgument

    public java.lang.Object getArgument()

### getSubject

    public java.lang.Object getSubject()

### toString

    public java.lang.String toString()

  Description copied from class: `Message`
  Returns a debug string with envelope and content for the message

  Overrides:
    `toString` in class `Message`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.